latest version: 1.1.7
 
 Cacti (home)ForumsDocumentation

Cacti: The complete RRDTool-based graphing solution.
 
Latest Files
cacti-1.1.7.tar.gz...
cacti-1.1.7.zip...

Information
What is Cacti?
Features
Changelog
Screen Shots

Downloads
Download Cacti
Official Patches

Spine
Information
Changelog
Download
Official Patches
Installation

Development
Support Cacti
Report an Issue
GitHub

Support
Documentation
Forums
Mailing Lists
FAQ

Download Official Patches [0.8.6h]

Patches will be listed here for any bug that has been discovered in a current version of Cacti.

Installation Instructions

Execute the following commands to install all of these patches against Cacti version 0.8.6h. Be sure that you are in your Cacti directory when you execute these commands.

wget http://www.cacti.net/downloads/patches/0.8.6h/fix_search_session_clear_issue.patch
wget http://www.cacti.net/downloads/patches/0.8.6h/fix_sql_syntax_related_to_default_rra_id.patch
wget http://www.cacti.net/downloads/patches/0.8.6h/nth_percentile_empty_return_set_issue.patch
wget http://www.cacti.net/downloads/patches/0.8.6h/mysql_5x_strict.patch
wget http://www.cacti.net/downloads/patches/0.8.6h/database_autoincrement_corruption.patch
wget http://www.cacti.net/downloads/patches/0.8.6h/dec06-vulnerability-poller-0.8.6h.patch
wget http://www.cacti.net/downloads/patches/0.8.6h/dec06-vulnerability-scripts-0.8.6h.patch
patch -p1 -N < fix_search_session_clear_issue.patch
patch -p1 -N < fix_sql_syntax_related_to_default_rra_id.patch
patch -p1 -N < nth_percentile_empty_return_set_issue.patch
patch -p1 -N < mysql_5x_strict.patch
patch -p1 -N < database_autoincrement_corruption.patch
patch -p1 -N < dec06-vulnerability-poller-0.8.6h.patch
patch -p1 -N < dec06-vulnerability-scripts-0.8.6h.patch

List of Patches

Device Filter Clear Issue 2006/01/07
This patch fixes an issue where attempting to clear a filter would result in the filter still being active.
Invalid SQL When Creating Graphs 2006/01/07
This patch fixes an problem where an invalid SQL statement would be executed when generating graphs.
Additional Error Checking for Nth Percentile 2006/01/07
This adds more checking concerning rrd fetch returning an empty set on a non-existant rrd file, resulting in a php warning about invalid index.
MySQL 5.x Strict Mode Compatibility 2006/01/08
Allows MySQL 5.x to utilize the default "strict" sql_mode. As an added benefit, this patch also automatically calculates the maximum speed of your interface graphs preventing gigabit interfaces from being overrun. Note: Reissued to fix problem with LDAP authentication.
Database Auto Increment Corruption 2006/04/24
Certain distributions such as Debian and Mandriva have been packaging Cacti with a newer version of ADODB which is causing table corruption under certain conditions. These vendors are releasing fixes of their own, but it is recommended that users apply this patch in the meantime to prevent any potential issues. You also must have the "MySQL 5.x Strict Mode Compatibility" patch applied before you can apply this patch.
Multiple Vulnerabilities - Poller 2007/01/06
This fixes several vulnerabilities that could be exploited in Cacti's poller.
Multiple Vulnerabilities - Default Scripts 2007/01/06
This fixes several vulnerabilities that could be exploited in Cacti's default poller scripts.

Old Versions

Select a version below to download patches for an older version of Cacti.

[0.8.5a | 0.8.6 | 0.8.6a | 0.8.6b | 0.8.6c | 0.8.6d | 0.8.6e | 0.8.6f | 0.8.6g | 0.8.6h | 0.8.6i | 0.8.6j | 0.8.6k | 0.8.7 | 0.8.7a | 0.8.7b | 0.8.7d | 0.8.7e | 0.8.7g | 0.8.7h | 0.8.7i | 0.8.8 | 0.8.8a | 0.8.8b]
 
 
 
Copyright © 2004-2017 The Cacti Group, Inc. - Cacti is the registered trademark The Cacti Group, Inc.


PHP      RRDTool